Package: org.gradle.api.reporting

## [Java] Class ImmutableViolationException

- org.gradle.api.reporting.ReportContainer.ImmutableViolationException

- The exception thrown when any of this container's mutation methods are called.

  This applies to the standard Collection methods such as `add()`, `remove()` and `clear()`.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReportContainer.ImmutableViolationException ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ReportContainer.ImmutableViolationException()